Skip to content
Start here

Download matches for string queries by ID

client.brandProtection.matches.download(MatchDownloadParams { account_id, id, include_domain_id, 2 more } params, RequestOptionsoptions?): MatchDownloadResponse { matches, total }
GET/accounts/{account_id}/brand-protection/matches/download

Return matches as CSV for string queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: MatchDownloadParams { account_id, id, include_domain_id, 2 more }
account_id: string

Path param

minLength1
id?: string

Query param

include_domain_id?: boolean

Query param

limit?: number

Query param

offset?: number

Query param

ReturnsExpand Collapse
MatchDownloadResponse { matches, total }
matches?: Array<Record<string, unknown>>
total?: number

Download matches for string queries by ID

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.brandProtection.matches.download({ account_id: 'x' });

console.log(response.matches);
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}